curl "https://api.telzino.com/v1/llm-models" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.telzino.com/v1/llm-models', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const { data } = await response.json();
console.log(data); // [{ id: 'gpt-4.1', name: 'GPT-4.1', ... }]
import requests
response = requests.get(
'https://api.telzino.com/v1/llm-models',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
models = response.json()['data']
{
"data": [
{
"id": "gpt-4o-mini",
"name": "GPT-4o Mini",
"description": "Fast, cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "gpt-4.1",
"name": "GPT-4.1",
"description": "OpenAI's recommended default model",
"provider": "openai"
},
{
"id": "gpt-4.1-mini",
"name": "GPT-4.1 Mini",
"description": "Faster, more cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "grok-3-fast",
"name": "Grok-3 Fast",
"description": "xAI's Grok-3 Fast model",
"provider": "xai"
},
{
"id": "moonshotai/Kimi-K2.6",
"name": "Kimi K2.6",
"description": "Moonshot AI's Kimi model, served via Telnyx",
"provider": "moonshot"
},
{
"id": "claude-sonnet-4-6",
"name": "Claude Sonnet",
"description": "Anthropic's Claude Sonnet model",
"provider": "anthropic"
}
]
}
{
"error": "unauthorized",
"error_description": "User payload not found"
}
LLM Models
List LLM Models
Returns a list of available LLM models that can be used when creating or updating agents
GET
/
v1
/
llm-models
curl "https://api.telzino.com/v1/llm-models" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.telzino.com/v1/llm-models', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const { data } = await response.json();
console.log(data); // [{ id: 'gpt-4.1', name: 'GPT-4.1', ... }]
import requests
response = requests.get(
'https://api.telzino.com/v1/llm-models',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
models = response.json()['data']
{
"data": [
{
"id": "gpt-4o-mini",
"name": "GPT-4o Mini",
"description": "Fast, cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "gpt-4.1",
"name": "GPT-4.1",
"description": "OpenAI's recommended default model",
"provider": "openai"
},
{
"id": "gpt-4.1-mini",
"name": "GPT-4.1 Mini",
"description": "Faster, more cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "grok-3-fast",
"name": "Grok-3 Fast",
"description": "xAI's Grok-3 Fast model",
"provider": "xai"
},
{
"id": "moonshotai/Kimi-K2.6",
"name": "Kimi K2.6",
"description": "Moonshot AI's Kimi model, served via Telnyx",
"provider": "moonshot"
},
{
"id": "claude-sonnet-4-6",
"name": "Claude Sonnet",
"description": "Anthropic's Claude Sonnet model",
"provider": "anthropic"
}
]
}
{
"error": "unauthorized",
"error_description": "User payload not found"
}
Use this endpoint to discover valid values for the
model field when creating or updating agents.
curl "https://api.telzino.com/v1/llm-models" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.telzino.com/v1/llm-models', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const { data } = await response.json();
console.log(data); // [{ id: 'gpt-4.1', name: 'GPT-4.1', ... }]
import requests
response = requests.get(
'https://api.telzino.com/v1/llm-models',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
models = response.json()['data']
{
"data": [
{
"id": "gpt-4o-mini",
"name": "GPT-4o Mini",
"description": "Fast, cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "gpt-4.1",
"name": "GPT-4.1",
"description": "OpenAI's recommended default model",
"provider": "openai"
},
{
"id": "gpt-4.1-mini",
"name": "GPT-4.1 Mini",
"description": "Faster, more cost-effective OpenAI model",
"provider": "openai"
},
{
"id": "grok-3-fast",
"name": "Grok-3 Fast",
"description": "xAI's Grok-3 Fast model",
"provider": "xai"
},
{
"id": "moonshotai/Kimi-K2.6",
"name": "Kimi K2.6",
"description": "Moonshot AI's Kimi model, served via Telnyx",
"provider": "moonshot"
},
{
"id": "claude-sonnet-4-6",
"name": "Claude Sonnet",
"description": "Anthropic's Claude Sonnet model",
"provider": "anthropic"
}
]
}
{
"error": "unauthorized",
"error_description": "User payload not found"
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | Model identifier — use this as the model value when creating or updating agents |
name | string | Display name of the model |
description | string | Brief description of the model |
provider | string | Underlying provider: openai, xai, moonshot, or anthropic |
⌘I
